Loading...
Searching...
No Matches
RDKit::CIPLabeler::Edge Class Reference

`#include <Edge.h>`

## Public Member Functions

| Edge ()=delete
| Edge (const Edge &)=delete
Edge & | operator= (const Edge &)=delete
| Edge (Node *beg, Node *end, Bond *bond)
Node * | getOther (const Node *node) const
Node * | getBeg () const
Node * | getEnd () const
Bond * | getBond () const
Descriptor | getAux () const
bool | isBeg (const Node *node) const
bool | isEnd (const Node *node) const
void | setAux (Descriptor aux)
void | flip ()

## Detailed Description

Definition at line 23 of file Edge.h.

## Constructor & Destructor Documentation

## Edge() [1/3]

RDKit::CIPLabeler::Edge::Edge | ( |  | ) |

delete

## Edge() [2/3]

RDKit::CIPLabeler::Edge::Edge | ( | const Edge & |  | ) |

delete

## Edge() [3/3]

RDKit::CIPLabeler::Edge::Edge | ( | Node * | beg,
|  | Node * | end,
|  | Bond * | bond
| ) |  |

## Member Function Documentation

## flip()

void RDKit::CIPLabeler::Edge::flip | ( |  | ) |

## getAux()

Descriptor RDKit::CIPLabeler::Edge::getAux | ( |  | ) | const

## getBeg()

Node * RDKit::CIPLabeler::Edge::getBeg | ( |  | ) | const

## getBond()

Bond * RDKit::CIPLabeler::Edge::getBond | ( |  | ) | const

## getEnd()

Node * RDKit::CIPLabeler::Edge::getEnd | ( |  | ) | const

## getOther()

Node * RDKit::CIPLabeler::Edge::getOther | ( | const Node * | node | ) | const

## isBeg()

bool RDKit::CIPLabeler::Edge::isBeg | ( | const Node * | node | ) | const

## isEnd()

bool RDKit::CIPLabeler::Edge::isEnd | ( | const Node * | node | ) | const

## operator=()

Edge & RDKit::CIPLabeler::Edge::operator= | ( | const Edge & |  | ) |

delete

## setAux()

void RDKit::CIPLabeler::Edge::setAux | ( | Descriptor | aux | ) |

The documentation for this class was generated from the following file:

- Edge.h